Subject: RE: how much privacy do we need? (was Re: Advantages and disadvantages of using CB64 type of identifiers

From: Erik Nordmark <[email-masked]>
Date: Sun, 1 Aug 2004 11:20:49 -0700 (PDT)

[Catching up]

> > So, i agree with Erik that there are three roles that an app can play:
> > - Server
> > - Client
> > - p2p participant
> 
> We have to be careful when using this terminology. The definition of
> server, for example, has two common meanings. For the general public, a
> server is some machine that seats in a computer center and provides a
> set of services. In many protocol definitions, the server is the party
> in the communication that accepts a TCP connection. Obviously, the
> privacy requirements are derived from the first definition, not the
> second one, and we should make that very clear.

I agree it would be confusing.
*If* we need to use terms in this space, I'd suggest we use different
terms than client and server. Initiator and responder (and both) are
the roles the applications play with respect to different ways they
communicate so those might be reasonable terms to use.

Then the actual privacy requirements are derived from the intent of
the user; a single desktop/laptop might have applications that
work as initiators (such as web browsing) as well as responders (a VoIP for
incoming calls).

> The draft states:
> 
>    Today when a site is multihomed to multiple ISPs the common setup is
>    that a single IP address prefix is used with all the ISPs.  As a
>    result it is possible to track that it is the same host that is
>    communication via all ISPs.
> 
> This is correct, but incomplete. When a *host* is multi-homed to several
> ISP, e.g. through a GPRS connection and a wireless hot spot, the host is
> provided with different IP addresses on each interface. I know that
> multi6 studies "site" multi-homing, but I also know that the various
> wedge solutions can potentially be used for host multi-homing scenarios
> as well, and I am worried about that.

I can add this to the draft.

> We may also observe that a common practice in site multi-homing in IPv4
> is to use some form of address translation, effectively hiding the
> identity of the specific host within a site.

The ability to use middleboxes (NATs, proxies) to hide IP addresses is
presumably an option whether multihomed or not. Thus I'll make this as
a general comment in the section in the draft.

  Erik